com.lowagie.text.pdf.interfaces

## Interface PdfDocumentActions

- All Known Implementing Classes:
    FdfWriter.Wrt, PdfCopy, PdfCopyFieldsImp, PdfCopyFormsImp, PdfSmartCopy, PdfStamperImp, PdfWriter

      public interface PdfDocumentActions

  A PDF document can have an open action and other additional actions.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setAdditionalAction(PdfName actionType, PdfAction action)` Additional-actions defining the actions to be taken in response to various trigger events affecting the document as a whole.
    `void` | `setOpenAction(PdfAction action)` When the document opens this `action` will be invoked.
    `void` | `setOpenAction(java.lang.String name)` When the document opens it will jump to the destination with this name.

- - ### Method Detail

    - #### setOpenAction

          void setOpenAction(java.lang.String name)

      When the document opens it will jump to the destination with this name.
      Parameters:
        `name` - the name of the destination to jump to

    - #### setOpenAction

          void setOpenAction(PdfAction action)

      When the document opens this `action` will be invoked.
      Parameters:
        `action` - the action to be invoked

    - #### setAdditionalAction

          void setAdditionalAction(PdfName actionType,
                                 PdfAction action)
                                   throws DocumentException

      Additional-actions defining the actions to be taken in response to various trigger events affecting the document as a whole. The actions types allowed are: `DOCUMENT_CLOSE`, `WILL_SAVE`, `DID_SAVE`, `WILL_PRINT` and `DID_PRINT`.
      Parameters:
        `actionType` - the action type
        `action` - the action to execute in response to the trigger
      Throws:
        `DocumentException` - on invalid action type